## kel-agent 0.2.2

=== Makefile ===
VERSION = $(shell < debian/changelog head -1 | egrep -o "[0-9]+\.[0-9]+\.[0-9]+")
GITCOMMIT = $(shell git rev-parse --short HEAD 2> /dev/null || true)

GENERATED = kel-agent kel-agent_*.pkg win/kel-agent_*.msi win/kel-agent.wixobj autorevision.cache ../kel-agent_*

.PHONY: all
all: kel-agent

.PHONY: test
test:
	go test ./...
	go vet ./...

kel-agent: test
	export GITCOMMIT=$(GITCOMMIT) && scripts/build.sh

architecture.svg:
	# apt install graphviz
	dot -T svg -o architecture.svg < architecture.dot

autorevision.cache:
	autorevision -s VCS_SHORT_HASH -o ./autorevision.cache

.PHONY: deb-tarball
deb-tarball: autorevision.cache
	cd .. && tar -cvJf kel-agent_$(VERSION).orig.tar.xz --exclude-vcs --exclude=debian --exclude=.github kel-agent

.PHONY: deb-package
deb-package: deb-tarball
	# https://wiki.debian.org/sbuild
	sbuild -d stable

.PHONY: mac-package
mac-package: kel-agent
	# http://s.sudre.free.fr/Software/Packages/about.html
	packagesbuild macos/kel-agent.pkgproj
	mv kel-agent.pkg kel-agent_mac.pkg

.PHONY: win-package
win-package: kel-agent
	# https://wixtoolset.org/
	cd win && candle kel-agent.wxs && light kel-agent.wixobj

.PHONY: clean
clean:
	rm -f $(GENERATED)

=== debian/changelog ===
kel-agent (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2
  * Update debian/rules to pass LDFLAGS to build
  * Update debian/copyright for new upstream release

 -- tony mancill <tmancill@debian.org>  Thu, 24 Dec 2020 20:44:10 -0800

kel-agent (0.1.2-2) unstable; urgency=medium

  * Source-only upload to allow transition to testing.

 -- tony mancill <tmancill@debian.org>  Sun, 06 Dec 2020 17:11:39 -0800

kel-agent (0.1.2-1) unstable; urgency=medium

  [ Chris Keller ]
  * Initial release (Closes: 973707)
  * Added manual page
  * Updated dependencies

  [ tony mancill ]
  * Added myself to Uploaders
  * Bumped Standards-Version to 4.5.1

 -- Chris Keller <xylo04@gmail.com>  Sun, 29 Nov 2020 13:22:37 -0700

=== debian/control ===
Source: kel-agent
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Chris Keller <xylo04@gmail.com>,
           tony mancill <tmancill@debian.org>
Section: hamradio
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: autorevision,
               debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-k0swe-wsjtx-go-dev,
               golang-github-leemcloughlin-jdn-dev,
               golang-websocket-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/kel-agent
Vcs-Git: https://salsa.debian.org/go-team/packages/kel-agent.git
Homepage: https://github.com/k0swe/kel-agent
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/k0swe/kel-agent

Package: kel-agent
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Web interface for amateur radio installed programs (program)
 An agent program for translating between various amateur
 radio installed programs and WebSockets.  This was built to support
 https://github.com/k0swe/kellog but can be used by any web application
 that needs to communicate with amateur radio installed programs.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%kel-agent-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
  https://github.com/k0swe/kel-agent/tags .*/v?(\d\S*)\.tar\.gz debian

## kel-agent 0.4.6

=== Makefile ===
VERSION = $(shell < debian/changelog head -1 | egrep -o "[0-9]+\.[0-9]+\.[0-9]+")
GITCOMMIT = $(shell git rev-parse --short HEAD 2> /dev/null || true)

GENERATED = kel-agent kel-agent_*.pkg win/kel-agent_*.msi win/kel-agent.wixobj autorevision.cache \
  ../kel-agent_* ../*.deb flatpak/repo/ flatpak/.flatpak-builder/ flatpak/kel_agent.flatpak \
  flatpak/flatpak_app/ flatpak/build-out/

.PHONY: all
all: kel-agent

.PHONY: test
test:
	go test ./...
	go vet ./...
	if command -v appstream-util; then appstream-util validate-relax --nonet assets/radio.k0swe.Kel_Agent.metainfo.xml; fi
	if command -v desktop-file-validate; then desktop-file-validate assets/radio.k0swe.Kel_Agent.desktop; fi

assets/modules.txt:
	go mod vendor
	mv vendor/modules.txt assets/
	rm -rf vendor

kel-agent: test
	export GITCOMMIT=$(GITCOMMIT) && scripts/build.sh

architecture.svg:
	# apt install graphviz
	dot -T svg -o architecture.svg < architecture.dot

autorevision.cache:
	autorevision -s VCS_SHORT_HASH -o ./autorevision.cache

.PHONY: deb-tarball
deb-tarball: autorevision.cache
	cd .. && tar -cvJf kel-agent_$(VERSION).orig.tar.xz --exclude-vcs kel-agent

.PHONY: deb-orig-tarball
deb-orig-tarball: autorevision.cache
	cd .. && tar -cvJf kel-agent_$(VERSION).orig.tar.xz --exclude-vcs --exclude=debian --exclude=.github --exclude=.idea kel-agent

# TODO: This target can be removed once the package is in Debian stable and Ubuntu stable
../golang-github-k0swe-wsjtx-go-dev_4.0.1-1_all.deb:
	wget https://github.com/k0swe/wsjtx-go/releases/download/v4.0.1/golang-github-k0swe-wsjtx-go-dev_4.0.1-1_all.deb \
	-O ../golang-github-k0swe-wsjtx-go-dev_4.0.1-1_all.deb

# TODO: This target can be removed once the package is in Debian stable and Ubuntu stable
../golang-github-mazznoer-csscolorparser-dev_0.1.2-1_all.deb:
	wget https://github.com/k0swe/wsjtx-go/releases/download/v4.0.1/golang-github-mazznoer-csscolorparser-dev_0.1.2-1_all.deb \
	-O ../golang-github-mazznoer-csscolorparser-dev_0.1.2-1_all.deb

# TODO: This target can be removed once the package is in Debian stable and Ubuntu stable
../golang-github-adrg-xdg-dev_0.4.0-1_all.deb:
	wget http://ftp.us.debian.org/debian/pool/main/g/golang-github-adrg-xdg/golang-github-adrg-xdg-dev_0.4.0-1_all.deb \
	-O ../golang-github-adrg-xdg-dev_0.4.0-1_all.deb

.PHONY: deb-package
deb-package: deb-tarball ../golang-github-k0swe-wsjtx-go-dev_4.0.1-1_all.deb ../golang-github-adrg-xdg-dev_0.4.0-1_all.deb ../golang-github-mazznoer-csscolorparser-dev_0.1.2-1_all.deb
	# https://wiki.debian.org/sbuild
	sbuild -d stable \
      --extra-package=../golang-github-k0swe-wsjtx-go-dev_4.0.1-1_all.deb \
      --extra-package=../golang-github-adrg-xdg-dev_0.4.0-1_all.deb \
      --extra-package=../golang-github-mazznoer-csscolorparser-dev_0.1.2-1_all.deb

.PHONY: flatpak
flatpak: kel-agent
	cd flatpak && \
      flatpak-builder --force-clean build-out radio.k0swe.Kel_Agent.yml --repo=repo && \
      flatpak build-bundle repo kel_agent.flatpak radio.k0swe.Kel_Agent main

.PHONY: mac-package
mac-package: kel-agent
	# http://s.sudre.free.fr/Software/Packages/about.html
	packagesbuild --package-version $(VERSION) macos/kel-agent.pkgproj
	productsign --keychain `security list-keychains | grep k0swe | tr -d \"` \
      --sign "Developer ID Installer: Chris Keller (2UK8VD3UP4)" \
      kel-agent.pkg kel-agent-signed.pkg
	mv kel-agent-signed.pkg kel-agent_mac.pkg

.PHONY: win-package
win-package: kel-agent
	# https://wixtoolset.org/
	cd win && candle kel-agent.wxs && light kel-agent.wixobj

.PHONY: clean
clean:
	rm -rf $(GENERATED)

=== debian/changelog ===
kel-agent (0.4.6-2) unstable; urgency=medium

  * Add debian/tests/autopkgtest-pkg-go.conf in an attempt to address
    Testsuite: autopkgtest-pkg-go failures.

 -- tony mancill <tmancill@debian.org>  Mon, 20 Jun 2022 21:47:27 -0700

kel-agent (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * Add build-deps on golang-github-adrg-xdg-dev,
    golang-github-imdario-mergo-dev, golang-github-rs-zerolog-dev,
    golang-github-mazznoer-csscolorparser-dev
  * Freshen years and paths in debian/copyright
  * Bump Standards-Version to 4.6.1

 -- tony mancill <tmancill@debian.org>  Sat, 18 Jun 2022 11:02:41 -0700

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,14 @@
                debhelper-compat (= 13),
                dh-golang,
                golang-any,
+               golang-github-adrg-xdg-dev,
+               golang-github-imdario-mergo-dev,
                golang-github-k0swe-wsjtx-go-dev,
                golang-github-leemcloughlin-jdn-dev,
+               golang-github-mazznoer-csscolorparser-dev,
+               golang-github-rs-zerolog-dev,
                golang-websocket-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/kel-agent
 Vcs-Git: https://salsa.debian.org/go-team/packages/kel-agent.git
 Homepage: https://github.com/k0swe/kel-agent

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

BUILDTIME = $(shell date --date='@${SOURCE_DATE_EPOCH}' --utc +'%Y-%m-%dT%H:%M:%SZ')
GITCOMMIT = $(shell autorevision -f -o autorevision.cache -s VCS_SHORT_HASH)
GO_LDFLAGS := "-X 'main.Version=$(DEB_VERSION_UPSTREAM)' -X 'main.GitCommit=$(GITCOMMIT)' -X 'main.BuildTime=$(BUILDTIME)'"

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- --ldflags $(GO_LDFLAGS)

override_dh_auto_install:
	dh_auto_install -- --no-source
